Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSPushNotificationService Class Reference

Represents the push notification service handling associated with a user. More...

`#import <CSPushNotificationService.h>`

Inherits NSObject.

## Instance Methods
(void) | - deactivateWithCompletionHandler:
| Called by the client application to deactivate push notification service after the application configuration is reset. More...

## Properties
id< CSPushNotificationServiceDelegate > | delegate
| The delegate responsible for handling push notification service events. More...
CSServiceStatus * | telephonyEventServiceStatus
| Reurns the ServiceStatus object describing whether the telephony event push service is enabled. More...

## Detailed Description

Represents the push notification service handling associated with a user.

A single instance of this object is created when a new CSUser instance is created. Any ClientSDK-related push notification information received by the iOS application is passed into this object. It should be noted that the iOS application may choose to receive push notification information that is not related to the ClientSDK's operations, any may selectively pass push notification data received based on the context of the notification message.

## Method Documentation

- (void) deactivateWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Called by the client application to deactivate push notification service after the application configuration is reset.

This method is called to make sure that an application without an identity no longer receives push notification messages from the server on behalf of a user who is removed from the application.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (id<CSPushNotificationServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling push notification service events.

- (CSServiceStatus*) telephonyEventServiceStatus
| read nonatomic assign

Reurns the ServiceStatus object describing whether the telephony event push service is enabled.

This property reflects the status of the network-based telephony push notification service on behalf of this user.

Returns
  CSServiceStatus object describing whether a certain service is enabled.

The documentation for this class was generated from the following file:

- CSPushNotificationService.h